org.osgi.framework.BundleException

Unresolved constraint in bundle org.springfr amework.roo.url.stream.jdk [72]: Unable to resolve 72.0: missing requirement [72 .0] osgi.wiring.package; (&(osgi.wiring.package=org.springframework.roo.shell)(v ersion>=1.2.0)(!(version>=2.0.0))) [caused by: Unable to resolve 63.0: missing r equirement [63.0] osgi.wiring.package; (osgi.wiring.package=javax.xml.parsers)]

Samebug tips0

There are no available Samebug tips for this exception. If you know how to solve this issue, help other users by writing a short tip.

Don't give up yet. Paste your full stack trace to get a solution.

Solutions on the web6371

  • via Spring JIRA by Shivarsenthil, 1 year ago
    Unresolved constraint in bundle org.springfr amework.roo.url.stream.jdk [72]: Unable to resolve 72.0: missing requirement [72 .0] osgi.wiring.package; (&(osgi.wiring.package=org.springframework.roo.shell)(v ersion>=1.2.0)(!(version>=2.0.0))) [caused by: Unable to resolve 63.0: missing r equirement [63.0] osgi.wiring.package; (osgi.wiring.package=javax.xml.parsers)]
  • via Spring JIRA by Shivarsenthil, 1 year ago
    Unresolved constraint in bundle org.springfr amework.roo.url.stream.jdk [72]: Unable to resolve 72.0: missing requirement [72 .0] osgi.wiring.package; (&(osgi.wiring.package=org.springframework.roo.shell)(v ersion>=1.2.0)(!(version>=2.0.0))) [caused by: Unable to resolve 63.0: missing r equirement [63.0] osgi.wiring.package; (osgi.wiring.package=javax.xml.parsers)]
  • via java-forums.org by Unknown author, 1 year ago
    Unresolved constraint in bundle org.springfr amework.roo.url.stream.jdk [72]: Unable to resolve 72.0: missing requirement [72 .0] package; (&(package=org.springframework.roo.shell)(version> =1.2.0)(!(version >=2.0.0))) [caused by: Unable to resolve
  • Stack trace

    • org.osgi.framework.BundleException: Unresolved constraint in bundle org.springfr amework.roo.url.stream.jdk [72]: Unable to resolve 72.0: missing requirement [72 .0] osgi.wiring.package; (&(osgi.wiring.package=org.springframework.roo.shell)(v ersion>=1.2.0)(!(version>=2.0.0))) [caused by: Unable to resolve 63.0: missing r equirement [63.0] osgi.wiring.package; (osgi.wiring.package=javax.xml.parsers)] at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3826) at org.apache.felix.framework.Felix.startBundle(Felix.java:1868) at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1191) at java.lang.Thread.run(Unknown Source)

    Write tip

    You have a different solution? A short tip here would help you and many other users who saw this issue last week.

    Users with the same issue

    14 times, 9 months ago
    Unknown user
    Once, 10 months ago
    Unknown user
    Once, 1 year ago
    Unknown user
    Once, 1 year ago
    Unknown user
    Once, 1 year ago
    13 more bugmates